package crontask

import (
	"be.ems/src/framework/logger"
	"be.ems/src/modules/crontask/processor"

	"github.com/gin-gonic/gin"
)

// Setup 模块路由注册
func Setup(router *gin.Engine) {
	logger.Infof("开始加载 ====> crontask 模块路由")

	// 启动时需要的初始参数
	InitLoad()

}

// InitLoad 初始参数
func InitLoad() {
	// 初始化定时任务处理
	processor.InitCronQueue()
}
